require( "scripts/objects/fight_down_spot.lua" );

fightdown1 = fight_down_spot:new{
	object_name="fightdown1",	
	fight_up_spot_name = "fightup1";
	
	--anchor_x=0,
	--anchor_y=0,
}
function fightdown1:clean_youngchild_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_up_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_up_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.fight_up_spot_name);
end

function fightdown1:clean_toddler_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_up_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_up_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.fight_up_spot_name);
end

function fightdown1:clean_schoolaged_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_up_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_up_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.fight_up_spot_name);
end